Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.css.parser
Class CSSLexicalUnit.StringLexicalUnit

    java.lang.Object
      org.apache.batik.css.parser.CSSLexicalUnit
          org.apache.batik.css.parser.CSSLexicalUnit.StringLexicalUnit

All Implemented Interfaces:
  LexicalUnit

Enclosing class:
  CSSLexicalUnit

protected static class CSSLexicalUnit.StringLexicalUnit
extends CSSLexicalUnit

This class represents a string unit.

Nested Class Summary

Nested classes inherited from class org.apache.batik.css.parser.CSSLexicalUnit
`CSSLexicalUnit.DimensionLexicalUnit, CSSLexicalUnit.FloatLexicalUnit, CSSLexicalUnit.FunctionLexicalUnit, CSSLexicalUnit.IntegerLexicalUnit, CSSLexicalUnit.PredefinedFunctionLexicalUnit, CSSLexicalUnit.SimpleLexicalUnit, CSSLexicalUnit.StringLexicalUnit`

Field Summary
`protected java.lang.String` | `value` The string value.

Fields inherited from class org.apache.batik.css.parser.CSSLexicalUnit
`lexicalUnitType, nextLexicalUnit, previousLexicalUnit, UNIT_TEXT_CENTIMETER, UNIT_TEXT_DEGREE, UNIT_TEXT_EM, UNIT_TEXT_EX, UNIT_TEXT_GRADIAN, UNIT_TEXT_HERTZ, UNIT_TEXT_INCH, UNIT_TEXT_KILOHERTZ, UNIT_TEXT_MILLIMETER, UNIT_TEXT_MILLISECOND, UNIT_TEXT_PERCENTAGE, UNIT_TEXT_PICA, UNIT_TEXT_PIXEL, UNIT_TEXT_POINT, UNIT_TEXT_RADIAN, UNIT_TEXT_REAL, UNIT_TEXT_SECOND`

Fields inherited from interface org.w3c.css.sac.LexicalUnit
`SAC_ATTR, SAC_CENTIMETER, SAC_COUNTER_FUNCTION, SAC_COUNTERS_FUNCTION, SAC_DEGREE, SAC_DIMENSION, SAC_EM, SAC_EX, SAC_FUNCTION, SAC_GRADIAN, SAC_HERTZ, SAC_IDENT, SAC_INCH, SAC_INHERIT, SAC_INTEGER, SAC_KILOHERTZ, SAC_MILLIMETER, SAC_MILLISECOND, SAC_OPERATOR_COMMA, SAC_OPERATOR_EXP, SAC_OPERATOR_GE, SAC_OPERATOR_GT, SAC_OPERATOR_LE, SAC_OPERATOR_LT, SAC_OPERATOR_MINUS, SAC_OPERATOR_MOD, SAC_OPERATOR_MULTIPLY, SAC_OPERATOR_PLUS, SAC_OPERATOR_SLASH, SAC_OPERATOR_TILDE, SAC_PERCENTAGE, SAC_PICA, SAC_PIXEL, SAC_POINT, SAC_RADIAN, SAC_REAL, SAC_RECT_FUNCTION, SAC_RGBCOLOR, SAC_SECOND, SAC_STRING_VALUE, SAC_SUB_EXPRESSION, SAC_UNICODERANGE, SAC_URI`

Constructor Summary
`CSSLexicalUnit.StringLexicalUnit(short t, java.lang.String val, LexicalUnit prev)` Creates a new LexicalUnit.

Method Summary
`java.lang.String` | `getStringValue()` SAC: Implements `LexicalUnit.getStringValue()`.

Methods inherited from class org.apache.batik.css.parser.CSSLexicalUnit
`createDimension, createFloat, createFunction, createInteger, createPredefinedFunction, createSimple, createString, getDimensionUnitText, getFloatValue, getFunctionName, getIntegerValue, getLexicalUnitType, getNextLexicalUnit, getParameters, getPreviousLexicalUnit, getSubValues, setNextLexicalUnit, setPreviousLexicalUnit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    protected java.lang.String value

  The string value.

Constructor Detail

### CSSLexicalUnit.StringLexicalUnit

    public CSSLexicalUnit.StringLexicalUnit(short t,
                                            java.lang.String val,
                                            LexicalUnit prev)

  Creates a new LexicalUnit.

Method Detail

### getStringValue

    public java.lang.String getStringValue()

  SAC: Implements `LexicalUnit.getStringValue()`.

  Specified by:
    `getStringValue` in interface `LexicalUnit`
  Overrides:
    `getStringValue` in class `CSSLexicalUnit`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.